Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory Interface Reference

This interface is provided, along with the method SetEntryFactory, to allow the programmer to have their own TarEntry subclass instantiated for the entries return from GetNextEntry. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory:
[legend]

## Public Member Functions
TarEntry | CreateEntry (string name)
| Create an entry based on name alone.
TarEntry | CreateEntryFromFile (string fileName)
| Create an instance based on an actual file.
TarEntry | CreateEntry (byte[] headerBuffer)
| Create a tar entry based on the header information passed.

## Detailed Description

This interface is provided, along with the method SetEntryFactory, to allow the programmer to have their own TarEntry subclass instantiated for the entries return from GetNextEntry.

## Member Function Documentation

## ◆ CreateEntry() [1/2]

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.CreateEntry | ( | byte[] | headerBuffer | ) |

Create a tar entry based on the header information passed.

Parameters

  headerBuffer | Buffer containing header information to create an an entry from.

Returns
  Created TarEntry or descendant class

Implemented in ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.

## ◆ CreateEntry() [2/2]

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.CreateEntry | ( | string | name | ) |

Create an entry based on name alone.

Parameters

  name | Name of the new EntryPointNotFoundException to create

Returns
  created TarEntry or descendant class

Implemented in ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.

## ◆ CreateEntryFromFile()

TarEntry ICSharpCode.SharpZipLib.Tar.TarInputStream.IEntryFactory.CreateEntryFromFile | ( | string | fileName | ) |

Create an instance based on an actual file.

Parameters

  fileName | Name of file to represent in the entry

Returns
  Created TarEntry or descendant class

Implemented in ICSharpCode.SharpZipLib.Tar.TarInputStream.EntryFactoryAdapter.

The documentation for this interface was generated from the following file:

- ICSharpCode.SharpZLib/Tar/TarInputStream.cs